org.apache.flume.source.jms

## Class InitialContextFactory

- java.lang.Object
- - org.apache.flume.source.jms.InitialContextFactory

-     public class InitialContextFactory
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InitialContextFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `InitialContext` | `create(Properties properties)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InitialContextFactory

          public InitialContextFactory()

  - ### Method Detail

    - #### create

          public InitialContext create(Properties properties)
                                throws NamingException

      Throws:
        `NamingException`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.